package tk.antoine_roux.wiki.model;

import tk.antoine_roux.wiki.model.response.RegisterResponse;

import java.util.List;
import java.util.UUID;

/**
 * in memory representation of gitlab runner
 */
public class Runner {
    public String description;
    public List<String> tags;
    public UUID registrationToken;
    public UUID authenticationToken;
    public Integer id;

    public RegisterResponse toRegisterResponse() {
        return new RegisterResponse(String.valueOf(this.id), this.authenticationToken.toString());
    }
}
